# Get Plausible analytics data GET https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible **Enterprise feature** Fetches analytics data from Plausible API for favorite events over the last 7 days. Reference: https://docs.getunleash.io/api/get-plausible-metrics ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get Plausible analytics data version: endpoint_unstable.getPlausibleMetrics paths: /api/admin/impact-metrics/plausible: get: operationId: get-plausible-metrics summary: Get Plausible analytics data description: >- **Enterprise feature** Fetches analytics data from Plausible API for favorite events over the last 7 days. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: plausibleMetricsResponseSchema content: application/json: schema: $ref: '#/components/schemas/plausibleMetricsResponseSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: PlausibleMetricsResponseSchemaDataItems: type: object properties: count: type: number format: double description: Number of events for this time period date: type: string description: Date and time of the event (hourly granularity) required: - count - date plausibleMetricsResponseSchema: type: object properties: data: type: array items: $ref: '#/components/schemas/PlausibleMetricsResponseSchemaDataItems' description: Array of analytics data points required: - data ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/impact-metrics/plausible")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```